package samples.user;

import java.util.List;

import org.springframework.dao.DataAccessException;
import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;

public class SqlMapUserDao extends SqlMapClientDaoSupport implements UserDao {

	public int countAdminUser() {
		return (Integer)getSqlMapClientTemplate().queryForObject("countAdminUser");
	}

	public void remove(String userId) throws DataAccessException {
		getSqlMapClientTemplate().delete("deleteUser", userId);
	}

	public boolean existedUser(String userId) throws DataAccessException {
		return false;
	}

	public User findUser(String userId) throws DataAccessException {
		return (User)getSqlMapClientTemplate().queryForObject("findUser", userId);
	}

	@SuppressWarnings("unchecked")
	public List<User> findUserList() throws DataAccessException {
		return (List<User>)getSqlMapClientTemplate().queryForList("findUsers");
	}

	public void insert(User user) throws DataAccessException {
		getSqlMapClientTemplate().insert("insertUser", user);
	}

	public void update(User user) throws DataAccessException {
		getSqlMapClientTemplate().update("updateUser", user);
	}

}











