package net.javajigi.web;

import net.javajigi.support.web.WebServer;

public class AdminWebServerLauncher {
	public static WebServer createDefaultWebServer() {
		final Integer port = 8080;
		final String webapp = "webapp";
		final String webappConfiguration = "src/main/java/net/javajigi/web/jetty-web.xml";
		final String coreTargetClasses = "../wiki-core/target/classes";
		final String targetClasses = "target/classes";
		final String webXml = webapp + "/WEB-INF/web.xml";
		final String sitemeshXml = webapp + "/WEB-INF/decorators.xml";

		WebServer server = new WebServer(port, webapp, webappConfiguration, coreTargetClasses, targetClasses, webXml, sitemeshXml);
		return server;
	}
	
	public static void main(String[] args) throws Exception {
		createDefaultWebServer().start();
	}
}
